<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<OutputType>WinExe</OutputType>
		<TargetFramework>net8.0-windows7.0</TargetFramework>
		<OutputPath>$(SolutionDir)Binary\UI</OutputPath>
		<AppendTargetFrameworkToOutputPath>false</AppendTargetFrameworkToOutputPath>
		<Nullable>enable</Nullable>
		<UseWPF>true</UseWPF>
		<PlatformTarget>AnyCPU</PlatformTarget>
		<ApplicationManifest>app1.manifest</ApplicationManifest>
		<CentralPackageTransitivePinningEnabled>true</CentralPackageTransitivePinningEnabled>
		<AllowUnsafeBlocks>true</AllowUnsafeBlocks>
		<UseWindowsForms>True</UseWindowsForms>
		<PackageIcon>MyLogoNormal.ico</PackageIcon>
		<ApplicationIcon>Resources\MyLogoNormal.ico</ApplicationIcon>
		<SatelliteResourceLanguages>zh-Hans</SatelliteResourceLanguages>
	</PropertyGroup>

	<ItemGroup>
		<None Remove="Resources\BackGround.png" />
		<None Remove="Resources\jetplasmalogo.png" />
	</ItemGroup>

	<ItemGroup>
	  <Content Include="Resources\MyLogoNormal.ico" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="CommunityToolkit.Mvvm" />
		<PackageReference Include="Mapster" />
		<PackageReference Include="Microsoft.AspNetCore.SignalR.Client" />
		<PackageReference Include="MiniExcel" />
		<PackageReference Include="Newtonsoft.Json" />
		<PackageReference Include="Prism.DryIoc" />
		<PackageReference Include="ScottPlot.WPF" />
		<PackageReference Include="System.Management" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\Communicators\Mini8Communicator\Mini8CommunicatorData\Mini8CommunicatorData.csproj" />
		<ProjectReference Include="..\Configs\CofigOperator\ConfigOperator.csproj" />
		<ProjectReference Include="..\ModelData\AlarmData\AlarmData.csproj" />
		<ProjectReference Include="..\ModelData\GeneralData\GeneralData.csproj" />
		<ProjectReference Include="..\ModelData\HardwareData\HardwareData.csproj" />
		<ProjectReference Include="..\ModelData\TemperatureConfigFile\TemperatureConfigFile.csproj" />
		<ProjectReference Include="..\Universal\Universal.csproj" />
	</ItemGroup>

	<ItemGroup>
		<Resource Include="Resources\BackGround.png" />
		<Resource Include="Resources\JACKET HEATER ASSM-1.JPG" />
		<Resource Include="Resources\JACKET HEATER ASSM.JPG" />
		<Resource Include="Resources\jetplasmalogo.png" />
		<Resource Include="Resources\MyLogoNormal.ico" />
	</ItemGroup>

	<ItemGroup>
		<None Update="MultiLanguage\Chinese.png">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</None>
		<None Update="MultiLanguage\English.png">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</None>
		<None Update="MultiLanguage\German.png">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</None>
		<None Update="MultiLanguage\German.svg">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</None>
		<None Update="MultiLanguage\English.svg">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</None>
		<None Update="MultiLanguage\Languages.xlsx">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</None>
		<None Update="MultiLanguage\Chinese.svg">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</None>
		<None Update="MultiLanguage\Russia.png">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</None>
		<None Update="Resources\MyLogoNormal.ico">
		  <Pack>True</Pack>
		  <PackagePath>\</PackagePath>
		</None>
	</ItemGroup>

</Project>
